[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TWinControl.SendDialogChar

Forwards the key message to the parent form to be handled as an accelerator (shortcut) key.

## Declaration

Source position: controls.pp line 2266

`protected function TWinControl.SendDialogChar(`
`var Message: TLMKey`
`):Boolean;`

## Arguments

`Message` |  | Message with the key event handled and updated in the method.

## Function result

True if the key was handled.

## Description

If the dialog character is handled in the Parent form, the CharCode member in Message is set to VK_UNKNOWN (0).

No actions are performed in the method when accelerator keys are not enabled for the LCL interface, or when ParentForm is unassigned for the control.